% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pprimarycensored.R
\name{.normalise_cdf}
\alias{.normalise_cdf}
\title{Normalise a primary event censored CDF}
\usage{
.normalise_cdf(result, q, D, pcens_obj, pwindow)
}
\arguments{
\item{result}{Numeric vector of CDF values to normalise.}

\item{q}{Numeric vector of quantiles at which CDF was evaluated.}

\item{D}{Numeric truncation point}

\item{pcens_obj}{A primarycensored object as created by \code{\link[=new_pcens]{new_pcens()}}.}

\item{pwindow}{Secondary event window}
}
\value{
Normalised CDF values as a numeric vector
}
\description{
Internal function to normalise a primary event censored CDF when truncation
is applied. The CDF is normalised by dividing by its value at the truncation
point D and setting all values beyond D to 1.
}
\keyword{internal}
