% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pcens_cdf.R
\name{pcens_cdf}
\alias{pcens_cdf}
\title{Compute primary event censored CDF}
\usage{
pcens_cdf(object, q, pwindow, use_numeric = FALSE)
}
\arguments{
\item{object}{A \code{primarycensored} object as created by
\code{\link[=new_pcens]{new_pcens()}}.}

\item{q}{Vector of quantiles}

\item{pwindow}{Primary event window}

\item{use_numeric}{Logical, if TRUE forces use of numeric integration
even for distributions with analytical solutions. This is primarily
useful for testing purposes or for settings where the analytical solution
breaks down.}
}
\value{
Vector of computed primary event censored CDFs
}
\description{
This function dispatches to either analytical solutions (if available) or
numerical integration via the default method. To see which combinations have
analytical solutions implemented, use \code{methods(pcens_cdf)}. For example,
\code{pcens_cdf.gamma_unif} indicates an analytical solution exists for gamma
delay with uniform primary event distributions.
}
\seealso{
Low level primary event censored distribution objects and methods
\code{\link{new_pcens}()},
\code{\link{pcens_cdf.default}()},
\code{\link{pcens_cdf.pcens_pgamma_dunif}()},
\code{\link{pcens_cdf.pcens_plnorm_dunif}()},
\code{\link{pcens_cdf.pcens_pweibull_dunif}()},
\code{\link{pcens_quantile}()},
\code{\link{pcens_quantile.default}()}
}
\concept{pcens}
