% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pcens_cdf.R
\name{pcens_cdf.pcens_pweibull_dunif}
\alias{pcens_cdf.pcens_pweibull_dunif}
\title{Method for Weibull delay with uniform primary}
\usage{
\method{pcens_cdf}{pcens_pweibull_dunif}(object, q, pwindow, use_numeric = FALSE)
}
\arguments{
\item{object}{A \code{primarycensored} object as created by
\code{\link[=new_pcens]{new_pcens()}}.}

\item{q}{Vector of quantiles}

\item{pwindow}{Primary event window}

\item{use_numeric}{Logical, if TRUE forces use of numeric integration
even for distributions with analytical solutions. This is primarily
useful for testing purposes or for settings where the analytical solution
breaks down.}
}
\value{
Vector of computed primary event censored CDFs
}
\description{
Method for Weibull delay with uniform primary
}
\seealso{
Low level primary event censored distribution objects and methods
\code{\link{new_pcens}()},
\code{\link{pcens_cdf}()},
\code{\link{pcens_cdf.default}()},
\code{\link{pcens_cdf.pcens_pgamma_dunif}()},
\code{\link{pcens_cdf.pcens_plnorm_dunif}()},
\code{\link{pcens_quantile}()},
\code{\link{pcens_quantile.default}()}
}
\concept{pcens}
