% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/primarycensored-package.R
\docType{package}
\name{primarycensored-package}
\alias{primarycensored}
\alias{primarycensored-package}
\title{primarycensored: Primary Event Censored Distributions}
\description{
\if{html}{\figure{logo.png}{options: style='float: right' alt='logo' width='120'}}

Provides functions for working with primary event censored distributions and 'Stan' implementations for use in Bayesian modeling. Primary event censored distributions are useful for modeling delayed reporting scenarios in epidemiology and other fields (Charniga et al. (2024) \doi{10.48550/arXiv.2405.08841}). It also provides support for arbitrary delay distributions, a range of common primary distributions, and allows for truncation and secondary event censoring to be accounted for (Park et al. (2024) \doi{10.1101/2024.01.12.24301247}). A subset of common distributions also have analytical solutions implemented, allowing for faster computation. In addition, it provides multiple methods for fitting primary event censored distributions to data via optional dependencies.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://primarycensored.epinowcast.org}
  \item \url{https://github.com/epinowcast/primarycensored}
  \item Report bugs at \url{https://github.com/epinowcast/primarycensored/issues}
}

}
\author{
\strong{Maintainer}: Sam Abbott \email{contact@samabbott.co.uk} (\href{https://orcid.org/0000-0001-8057-8037}{ORCID}) [copyright holder]

Authors:
\itemize{
  \item Sam Brand \email{usi1@cdc.gov} (\href{https://orcid.org/0000-0003-0645-5367}{ORCID})
  \item James Mba Azam \email{james.azam@lshtm.ac.uk} (\href{https://orcid.org/0000-0001-5782-7330}{ORCID})
  \item Carl Pearson \email{carl.ab.pearson@gmail.com} (\href{https://orcid.org/0000-0003-0701-7860}{ORCID})
  \item Sebastian Funk \email{sebastian.funk@lshtm.ac.uk} (\href{https://orcid.org/0000-0002-2842-3406}{ORCID})
  \item Kelly Charniga \email{kelly.charniga@gmail.com} (\href{https://orcid.org/0000-0002-7648-7041}{ORCID})
}

Other contributors:
\itemize{
  \item Adam Howes \email{adamthowes@gmail.com} (\href{https://orcid.org/0000-0003-2386-4031}{ORCID}) [contributor]
}

}
\keyword{internal}
